<?php
/**
 * Frontend template file
 *
 * @package YITH\ProductCountdown
 * @var $args
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$is_admin = is_admin_bar_showing() ? ' ywpc-admin' : '';
$position = get_option( 'ywpc_topbar_position', 'top' );
$date     = ywpc_get_countdown( $args['end_date'] );
$variable = ( 'variable' === $args['type'] ) ? $args['url'] : '';

?>
<div class="ywpc-topbar<?php echo esc_attr( $is_admin ); ?> ywpc-<?php echo esc_attr( $position ); ?>">
	<a href="<?php echo esc_url( get_permalink( $args['id'] ) . $variable ); ?>" class="ywpc-countdown-topbar">
		<div class="ywpc-header">
			<?php echo wp_kses_post( get_option( 'ywpc_topbar_timer_title', esc_html__( 'Click here for a special offer!', 'yith-woocommerce-product-countdown' ) ) ); ?>
		</div>
		<div class="ywpc-timer">
			<div class="ywpc-days">
				<div class="ywpc-amount">
					<?php $days = ( ( is_rtl() ) ? strrev( $date['dd'] ) : $date['dd'] ); ?>
					<span class="ywpc-char-0"><?php echo esc_attr( substr( $days, 0, 1 ) ); ?></span>
					<span class="ywpc-char-1"><?php echo esc_attr( substr( $days, 1, 1 ) ); ?></span>
					<span class="ywpc-char-2"><?php echo esc_attr( substr( $days, 2, 1 ) ); ?></span>
				</div>
				<div class="ywpc-label">
					<?php esc_html_e( 'Days', 'yith-woocommerce-product-countdown' ); ?>
				</div>
			</div>
			<div class="ywpc-hours">
				<div class="ywpc-amount">
					<?php $hours = ( ( is_rtl() ) ? strrev( $date['hh'] ) : $date['hh'] ); ?>
					<span class="ywpc-char-1"><?php echo esc_attr( substr( $hours, 0, 1 ) ); ?></span>
					<span class="ywpc-char-2"><?php echo esc_attr( substr( $hours, 1, 1 ) ); ?></span>
				</div>
				<div class="ywpc-label">
					<?php esc_html_e( 'Hours', 'yith-woocommerce-product-countdown' ); ?>
				</div>
			</div>
			<div class="ywpc-minutes">
				<div class="ywpc-amount">
					<?php $minutes = ( ( is_rtl() ) ? strrev( $date['mm'] ) : $date['mm'] ); ?>
					<span class="ywpc-char-1"><?php echo esc_attr( substr( $minutes, 0, 1 ) ); ?></span>
					<span class="ywpc-char-2"><?php echo esc_attr( substr( $minutes, 1, 1 ) ); ?></span>
				</div>
				<div class="ywpc-label">
					<?php esc_html_e( 'Minutes', 'yith-woocommerce-product-countdown' ); ?>
				</div>
			</div>
			<div class="ywpc-seconds">
				<div class="ywpc-amount">
					<?php $seconds = ( ( is_rtl() ) ? strrev( $date['ss'] ) : $date['ss'] ); ?>
					<span class="ywpc-char-1"><?php echo esc_attr( substr( $seconds, 0, 1 ) ); ?></span>
					<span class="ywpc-char-2"><?php echo esc_attr( substr( $seconds, 1, 1 ) ); ?></span>
				</div>
				<div class="ywpc-label">
					<?php esc_html_e( 'Seconds', 'yith-woocommerce-product-countdown' ); ?>
				</div>
			</div>
		</div>
		<input type="hidden" value="<?php echo esc_attr( gmdate( 'Y', $date['to'] ) ); ?>.<?php echo esc_attr( gmdate( 'm', $date['to'] ) - 1 ); ?>.<?php echo esc_attr( gmdate( 'd', $date['to'] ) ); ?>.<?php echo esc_attr( gmdate( 'H', $date['to'] ) ); ?>.<?php echo esc_attr( gmdate( 'i', $date['to'] ) ); ?>">
	</a>
</div>
