<?php
/**
 * Frontend template file
 *
 * @package YITH\ProductCountdown
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}


if ( empty( $args['items'] ) ) {
	return;
}

$extra_class = ( $args['class'] ) ? $args['class'] . '-' : '';
$header_css  = '';

foreach ( $args['items'] as $item_id => $item ) {

	if ( isset( $args['active_var'] ) && $item_id !== $args['active_var'] ) {
		continue;
	}

	if ( 'expired' === $item['expired'] ) {
		$header_css = ' style="display: none;"';
	}

	if ( 'show' === $item['show_bar'] ) {

		?>
		<div class="ywpc-sale-bar-loop ywpc-item-<?php echo esc_attr( $extra_class . $item_id ); ?>">
			<div class="ywpc-header"<?php echo esc_attr( $header_css ); ?>>
				<?php
				echo wp_kses_post( get_option( 'ywpc_sale_bar_title', esc_html__( 'On sale', 'yith-woocommerce-product-countdown' ) ) );
				?>
			</div>
			<div class="ywpc-bar">
				<div class="ywpc-back">
					<div class="ywpc-fore" style="width: <?php echo esc_attr( $item['percent'] ); ?>%">
					</div>
				</div>
				<div class="ywpc-label">
					<?php
					if ( ! is_rtl() ) {
						/* translators: %1$s quantity 1 - %2$s quantity 2 */
						printf( esc_html__( '%1$d/%2$d Sold', 'yith-woocommerce-product-countdown' ), esc_attr( $item['sold_qty'] ), esc_attr( $item['discount_qty'] ) );
					} else {
						/* translators: %1$s quantity 1 - %2$s quantity 2 */
						printf( esc_html__( '%1$d/%2$d Sold', 'yith-woocommerce-product-countdown' ), esc_attr( $item['discount_qty'] ), esc_attr( $item['sold_qty'] ) );
					}
					?>
				</div>
			</div>
		</div>
		<?php
	}
}
