<?php
/**
 * Frontend template file
 *
 * @package YITH\ProductCountdown
 * @var $type
 * @var $products
 * @var $options
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

?>
	<div class="woocommerce ywpc-<?php echo esc_attr( $type ); ?> <?php echo esc_attr( apply_filters( 'ywpc_' . $type . '_div_loop_class', '' ) ); ?>">
		<ul class="products ywpc-<?php echo esc_attr( $type ); ?>-products <?php echo esc_attr( apply_filters( 'ywpc_' . $type . '_ul_loop_class', '' ) ); ?>">
			<?php
			while ( $products->have_posts() ) {

				$products->the_post();
				global $product;

				$args = ywpc_get_product_args( yit_get_product_id( $product ), $type );

				if ( 'yes' !== $options['show_title'] ) {
					add_filter( 'the_title', array( YITH_WPC(), 'ywpc_loop_hide_filter' ), 999 );
				}

				if ( 'yes' !== $options['show_rating'] ) {
					add_filter( 'woocommerce_product_get_rating_html', array( YITH_WPC(), 'ywpc_loop_hide_filter' ), 999 );
				}

				if ( 'yes' !== $options['show_price'] ) {
					add_filter( 'woocommerce_get_price_html', array( YITH_WPC(), 'ywpc_loop_hide_filter' ), 999 );
				}

				if ( 'yes' !== $options['show_image'] ) {
					add_filter( 'post_thumbnail_html', array( YITH_WPC(), 'ywpc_loop_hide_filter' ), 999 );
					add_filter( 'woocommerce_placeholder_img', array( YITH_WPC(), 'ywpc_loop_hide_filter' ), 999 );
				}

				if ( 'yes' !== $options['show_addtocart'] ) {
					add_filter( 'woocommerce_loop_add_to_cart_link', array( YITH_WPC(), 'ywpc_loop_hide_filter' ), 999 );
				}

				$has_ywpc = $product->get_meta( '_ywpc_enabled', true );

				if ( 'yes' !== $has_ywpc ) {
					continue;
				}

				if ( isset( $args['active_var'] ) && 0 === $args['active_var'] ) {
					continue;
				}

				if ( YITH_WPC()->check_ywpc_expiration( ( isset( $args['active_var'] ) && 0 !== $args['active_var'] ) ? $args['active_var'] : yit_get_product_id( $product ) ) ) {
					continue;
				};

				wc_get_template( 'content-product.php' );

			}
			?>
		</ul>
	</div>
<?php
